Module javafx.graphics
Package javafx.geometry

# Enum Class VPos

java.lang.Object
java.lang.Enum<VPos>
javafx.geometry.VPos

All Implemented Interfaces:
  `Serializable`, `Comparable<VPos>`, `Constable`

public enum VPos extends Enum<VPos>
A set of values for describing vertical positioning and alignment.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASELINE`
Indicates baseline vertical position.
`BOTTOM`
Indicates bottom vertical position.
`CENTER`
Indicates centered vertical position.
`TOP`
Indicates top vertical position.

## Method Summary

Modifier and Type
Method
Description
`static VPos`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VPos[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOP

public static final VPos TOP
Indicates top vertical position.

### CENTER

public static final VPos CENTER
Indicates centered vertical position.

### BASELINE

public static final VPos BASELINE
Indicates baseline vertical position.

### BOTTOM

public static final VPos BOTTOM
Indicates bottom vertical position.

## Method Details

### values

public static VPos[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VPos valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null